use crate::prelude::*;

#[derive(Clone, Copy)]
pub enum Tile {
    Floor,
    Wall,
}

pub struct Map {
    pub tiles: Vec<Tile>,
}

impl Map {
    pub fn index(&self, x: i32, y: i32) -> usize {
        ((y * MAP_HEIGHT) + x) as usize
    }
}

impl Default for Map {
    fn default() -> Self {
        Self {
            tiles: vec![Tile::Floor; NUM_TILES],
        }
    }
}
